> ## Documentation Index
> Fetch the complete documentation index at: https://developer.embedly.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Corporate Customer

> This endpoint enables you to create a corporate customer profile

<Warn>
  It is standard practice to save the returned customerId once you have
  successfully created a customer. This reduces the number of api calls you have
  to make to embedly to perform certain actions thereby improving the speed of
  your application
</Warn>

***

## Request Parameters

<ParamField body="rcNumber" type="string" required>
  The RC number of the business. **Example:** `123456`
</ParamField>

<ParamField body="tin" type="string" required>
  The Tax Identification Number (TIN) of the business. **Example:**
  `01234567-0001`
</ParamField>

<ParamField body="fullBusinessName" type="string" required>
  The registered full business name. **Example:** `Acme Technologies Limited`
</ParamField>

<ParamField body="businessAddress" type="string" required>
  The physical address of the business. **Example:** `12 Adeola Odeku Street,
      Victoria Island, Lagos`
</ParamField>

<ParamField body="countryId" type="string" required>
  The unique identifier of the country. **Example:**
  `3fa85f64-5717-4562-b3fc-2c963f66afa6`
</ParamField>

<ParamField body="city" type="string" required>
  The city where the business is located. **Example:** `Lagos`
</ParamField>

<ParamField body="email" type="string" required>
  The official business email address. **Example:** `user@example.com`
</ParamField>

<ParamField body="walletPreferredName" type="string" required>
  The preferred display name for the business wallet. **Example:** `AcmeWallet`
</ParamField>

<ResponseExample>
  ```json 200 Success theme={null}
  {
    "code": "00",
    "success": true,
    "message": "Created Successfully",
    "data": {
      "id": "724bb798-fae8-4856-97a6-9d2076266c29",
      "organizationId": "0075b72d-6648-11f0-a7cf-0274f77d4a81",
      "customerTypeId": "0ed8b99b-8097-4e49-bd4c-ff0410c57d27",
      "countryId": "c15ad9ae-c4d7-4342-b70f-de5508627e3b",
      "city": "Lagos",
      "address": "12 Adeola Odeku Street, Victoria Island, Lagos",
      "emailAddress": "user@example.com",
      "corporateName": "Acme Technologies Limited",
      "isCorporateVerified": "Pending",
      "dateCreated": "2025-12-08T06:25:48.5611027Z"
    }
  }
  ```
</ResponseExample>
